org.eclipse.net4j.db.dml

## Interface IDBStatement

- Deprecated.

      @Deprecated
      public interface IDBStatement

  Specifies an SQL statement with zero or more `parameters`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDBParameter` | `addParameter(DBType type)` Deprecated.
    `IDBParameter` | `addParameter(IDBField field)` Deprecated.
    `void` | `addSQL(IDBParameter parameter)` Deprecated.
    `void` | `addSQL(IDBSchemaElement schemaElement)` Deprecated.
    `void` | `addSQL(java.lang.String literal)` Deprecated.
    `IDBParameter[]` | `getParameters()` Deprecated.
    `java.lang.String` | `getSQL()` Deprecated.

- - ### Method Detail

    - #### addParameter

          IDBParameter addParameter(DBType type)

      Deprecated.

    - #### addParameter

          IDBParameter addParameter(IDBField field)

      Deprecated.

    - #### getParameters

          IDBParameter[] getParameters()

      Deprecated.

    - #### addSQL

          void addSQL(java.lang.String literal)

      Deprecated.

    - #### addSQL

          void addSQL(IDBParameter parameter)

      Deprecated.

    - #### addSQL

          void addSQL(IDBSchemaElement schemaElement)

      Deprecated.

    - #### getSQL

          java.lang.String getSQL()

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html